//-----------------------------------------------------------------------------
// Title      : bsp_ub037_mk3_lcd4
//-----------------------------------------------------------------------------
// Funktion   : LCD Test4
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 14.12.2011
// Version    : 1.0
// Autor      : UB
// LinkerOption:    -Wl,-u,vfprintf -lprintf_flt -lm
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>
#include "bitmaps/angelina.h"
#include "bitmaps/temp.h"



//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - zeichnet zwei Bilder auf das Display
//-----------------------------------------------------------------------------
int main (void)
{
	MK3_INIT_LCD();					// init des LCD
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	// Bild-1 zeichnen
	MK3_LCD_BMP_AT(0,0,Image_angelina,Image_angelina_LEN);
	
	// Bild-2 zeichnen
	MK3_LCD_BMP_AT(60,24,Image_TEMP,Image_TEMP_LEN);
    
	while (true)
	{

	}
	return 0;
}
//-----------------------------------------------------------------------------
